Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019628
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2012-02-02 12:372012-03-02 15:34
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version3.0MP9
StatusclosedFix in branchFixed in SCM revision6cf8bcee3cbc
ProjectionnoneETAnoneTarget Version3.0MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019628: Performance of the Import Reference data process is bad, and degrades a lot when the number of clients is big

DescriptionThe performance of the import reference data process it not very good, and it degrades significantly when the number of clients in the instance is big.
Steps To Reproduce- Install the Spanish Professional localization pack
- Do an Initial Client Setup (with multiple datasets checked).
- If the number of clients is big enough (>100), with most of them containing dataset info, the performance of this process will be very bad.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0044803)
hgbot (developer)
2012-02-02 12:45

Repository: erp/devel/pi
Changeset: 5aa4d0ee877c63f0df7ab6bf71dad33d670b1a78
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 02 12:43:36 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5aa4d0ee877c63f0df7ab6bf71dad33d670b1a78 [^]

Fixed issue 19628. Improved the performance of the import reference data process in two ways:
- Added an index to the AD_Ref_loaded table, so that when the number of clients is big, performance doesn't degrade
- Refactored the code to use SQL instead of HQL in a specific critical part of the process, to increase performance when the dataset is big. Also, optimized the way information is retrieved from Ad_Ref_Loaded, by caching a full query initially, and then iterating through this cache in successive steps, instead of doing multiple queries for each row to be inserted or updated.

---
M src-db/database/model/tables/AD_REF_DATA_LOADED.xml
M src/org/openbravo/dal/xml/EntityResolver.java
---
(0044828)
hgbot (developer)
2012-02-02 18:17

Repository: erp/devel/pi
Changeset: 660057f68c62cd2903b5d760432886b8fb10e3b2
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 02 18:15:19 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/660057f68c62cd2903b5d760432886b8fb10e3b2 [^]

Related to issue 19628. Reverted fix, as it had some problems.

---
M src-db/database/model/tables/AD_REF_DATA_LOADED.xml
M src-test/org/openbravo/test/xml/EntityXMLImportTestBusinessObject.java
M src/org/openbravo/dal/xml/EntityResolver.java
---
(0044829)
marvintm (developer)
2012-02-02 18:18

Fix wasn't correct.
(0044832)
hgbot (developer)
2012-02-02 18:25

Repository: erp/devel/pi
Changeset: 4c4c81038e53c92fa43f1b6f5df3a6603d487cb5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 02 18:24:27 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4c4c81038e53c92fa43f1b6f5df3a6603d487cb5 [^]

Related to issue 19628. Reverted fix, as it had some problems.

---
M src-test/org/openbravo/test/xml/EntityXMLImportTestBusinessObject.java
---
(0044873)
hgbot (developer)
2012-02-03 17:57

Repository: erp/devel/pi
Changeset: 6cf8bcee3cbc7e1e153960bc939f68ccb7651892
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 03 17:44:48 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6cf8bcee3cbc7e1e153960bc939f68ccb7651892 [^]

Fixed issue 19628. Improved the performance of the import reference data

---
M src-db/database/model/tables/AD_REF_DATA_LOADED.xml
M src-test/org/openbravo/test/xml/EntityXMLImportTestBusinessObject.java
---
(0044874)
hgbot (developer)
2012-02-03 18:00

Repository: erp/devel/pi
Changeset: d7a05233d4bb48b3cbf5633690f305e3f9ea54a7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 03 17:59:18 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d7a05233d4bb48b3cbf5633690f305e3f9ea54a7 [^]

Related to issue 19628. Added missing part of the fix.

---
M src-test/org/openbravo/test/xml/EntityXMLImportTestBusinessObject.java
M src/org/openbravo/dal/xml/EntityResolver.java
---
(0044970)
marvintm (developer)
2012-02-09 16:25

Test plan:

- Test that the reference data of multiple modules can still be imported without errors, and that the data is correctly imported in the database.
(0045491)
alostale (developer)
2012-02-28 08:33

Code reviewed and tested on pi@8f8ae175ff2b
(0045730)
hudsonbot (developer)
2012-03-02 15:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045740)
hudsonbot (developer)
2012-03-02 15:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045741)
hudsonbot (developer)
2012-03-02 15:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045754)
hudsonbot (developer)
2012-03-02 15:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045755)
hudsonbot (developer)
2012-03-02 15:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-02 12:37 marvintm New Issue
2012-02-02 12:37 marvintm Assigned To => marvintm
2012-02-02 12:37 marvintm Modules => Core
2012-02-02 12:45 hgbot Checkin
2012-02-02 12:45 hgbot Note Added: 0044803
2012-02-02 12:45 hgbot Status new => resolved
2012-02-02 12:45 hgbot Resolution open => fixed
2012-02-02 12:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5aa4d0ee877c63f0df7ab6bf71dad33d670b1a78 [^]
2012-02-02 18:17 hgbot Checkin
2012-02-02 18:17 hgbot Note Added: 0044828
2012-02-02 18:18 marvintm Note Added: 0044829
2012-02-02 18:18 marvintm Status resolved => new
2012-02-02 18:18 marvintm Resolution fixed => open
2012-02-02 18:25 hgbot Checkin
2012-02-02 18:25 hgbot Note Added: 0044832
2012-02-03 17:57 hgbot Checkin
2012-02-03 17:57 hgbot Note Added: 0044873
2012-02-03 17:57 hgbot Status new => resolved
2012-02-03 17:57 hgbot Resolution open => fixed
2012-02-03 17:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/5aa4d0ee877c63f0df7ab6bf71dad33d670b1a78 [^] => http://code.openbravo.com/erp/devel/pi/rev/6cf8bcee3cbc7e1e153960bc939f68ccb7651892 [^]
2012-02-03 18:00 hgbot Checkin
2012-02-03 18:00 hgbot Note Added: 0044874
2012-02-09 16:25 marvintm Note Added: 0044970
2012-02-28 08:33 alostale Note Added: 0045491
2012-02-28 08:33 alostale Status resolved => closed
2012-02-28 08:33 alostale Fixed in Version => 3.0MP9
2012-03-02 15:34 hudsonbot Checkin
2012-03-02 15:34 hudsonbot Note Added: 0045730
2012-03-02 15:34 hudsonbot Checkin
2012-03-02 15:34 hudsonbot Note Added: 0045740
2012-03-02 15:34 hudsonbot Checkin
2012-03-02 15:34 hudsonbot Note Added: 0045741
2012-03-02 15:34 hudsonbot Checkin
2012-03-02 15:34 hudsonbot Note Added: 0045754
2012-03-02 15:34 hudsonbot Checkin
2012-03-02 15:34 hudsonbot Note Added: 0045755


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker